<%@ Page Language="C#" %>
<script language="C#" runat=server>
    void btnAdd_Click(object sender, EventArgs e)
    {
      // Add the key:value pair
      Session[txtKey.Text] = txtValue.Text;
    }


    void btnClear_Click(object sender, EventArgs e)
    {
        Session.RemoveAll();
    }
</script>

<html>
<body>
    <b>Manipulating Session</b><br>
    <form runat=server>
        <asp:label id="lblKey" text="Key:" runat=server />
        <asp:textbox id="txtKey" runat=server />
        <asp:label id="lblValue" text="Value:" runat=server />
        <asp:textbox id="txtValue" runat=server />
        <asp:button id="btnAdd" Text="Add" OnClick="btnAdd_Click" 
             runat=server />
        <BR>
        <HR>
            <table border="1">
                <tr>
                    <th>Key</th>
                    <th>Value</th>
                </tr>
<%
            // Loop through the session keys
            foreach(string strItem in Session)
            {
                Response.Write("<tr>");
                // Output the key
                Response.Write("<td>" + strItem + "</td>");
                // Output the value
                // Use ToString() to co-erce possible objects in session to
                // a string
                Response.Write("<td>" + Session[strItem].ToString() + "</td>");
                Response.Write("</tr>");
            }
%>
            </table>
            <asp:button id="btnClear" Text="Clear All" 
                 OnClick="btnClear_Click" runat=server />
    </form>
</body>
</html>
