using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Diagnostics;
using System.Web;
using System.Web.Services;

namespace NorthwindOrders
{
	/// <summary>
	/// Summary description for Orders.
	/// </summary>
	public class Orders : System.Web.Services.WebService
	{
		protected override void Dispose( bool disposing )
		{
		}

		[WebMethod()]
		public DataSet GetOrders(DateTime OrderDate)
		{
			// Setup the connection
			SqlConnection cn = new SqlConnection(Application["DSN"].ToString());

			// Open the connection
			cn.Open();

			// Create the orders data adapter
			SqlDataAdapter daOrders = new SqlDataAdapter("SELECT * FROM ORDERS WHERE OrderDate = '" + OrderDate.ToShortDateString() + "'", cn);

			// Create the order item data adapter
			SqlDataAdapter daOrderDetails = new SqlDataAdapter("SELECT * FROM [Order Details] od, Orders o WHERE o.OrderID = od.OrderID AND o.OrderDate = '" + OrderDate.ToShortDateString() + "'", cn);

			// Create a data set
			DataSet ds = new DataSet();

			// Get the orders
			daOrders.Fill(ds, "Orders");
			// Get the order details
			daOrderDetails.Fill(ds, "OrderDetails");

			// Relate the two on the order id
			ds.Relations.Add("OrderID", ds.Tables["Orders"].Columns["OrderID"], ds.Tables["OrderDetails"].Columns["OrderID"]);

			// Return the dataset
			return ds;
		}


		[WebMethod()]
		public DataSet GetAllOrders() 
		{
			// Setup the connection
			SqlConnection cn = new SqlConnection(Application["DSN"].ToString());

			// Open the connection
			cn.Open();

			// Create the orders data adapter
			SqlDataAdapter daOrders = new SqlDataAdapter("SELECT * FROM ORDERS", cn);

			// Create the order item data adapter
			SqlDataAdapter daOrderDetails = new SqlDataAdapter("SELECT * FROM [Order Details] od, Orders o WHERE o.OrderID = od.OrderID", cn);

			// Create a data set
			DataSet ds = new DataSet();

			// Get the orders
			daOrders.Fill(ds, "Orders");
			// Get the order details
			daOrderDetails.Fill(ds, "OrderDetails");

			// Relate the two on the order id
			ds.Relations.Add("OrderID", ds.Tables["Orders"].Columns["OrderID"], ds.Tables["OrderDetails"].Columns["OrderID"]);

			// Return the dataset
			return ds;
		}

	}
}
