using System;
using System.Collections;
using System.ComponentModel;
using System.Web;
using System.Web.SessionState;

namespace FormAuthorizationURL 
{
	/// <summary>
	/// Summary description for Global.
	/// </summary>
	public class Global : System.Web.HttpApplication
	{
		protected void Application_Start(Object sender, EventArgs e)
		{

		}
 
		protected void Session_Start(Object sender, EventArgs e)
		{

		}

		protected void Application_BeginRequest(Object sender, EventArgs e)
		{
			
		}

		protected void Application_EndRequest(Object sender, EventArgs e)
		{

		}

		protected void Session_End(Object sender, EventArgs e)
		{

		}

		protected void Application_End(Object sender, EventArgs e)
		{

		}

		protected void Application_AuthorizeRequest(object sender, System.EventArgs e)
		{
			// Make sure the user is authenticated
			if(HttpContext.Current.User.Identity.IsAuthenticated)
			{
				// Map the user to a role based on their identity
				switch(HttpContext.Current.User.Identity.Name)
				{
					case "Chris":
						HttpContext.Current.User = new System.Security.Principal.GenericPrincipal(HttpContext.Current.User.Identity, new string[] {"Publisher"});
						break;
					case "Administrator":
						HttpContext.Current.User = new System.Security.Principal.GenericPrincipal(HttpContext.Current.User.Identity, new string[] {"Administrator", "Publisher"});
						break;
					default:
						HttpContext.Current.User = new System.Security.Principal.GenericPrincipal(HttpContext.Current.User.Identity, new string[] {"User"});
						break;
				}
			}
		}
	}
}

