<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Register TagPrefix="ASPBOOK" TagName="SalesPhoneList" Src="SalesPeople.ascx" %>

<script runat="server">
    void Page_Load(Object sender, EventArgs e)
    {
        SqlConnection cn;
        SqlCommand cmd;
        SqlDataReader dr;
        StringBuilder sb;
    
        // Open a connection
        cn = new SqlConnection("server=localhost;uid=sa;pwd=;database=Northwind");
        cn.Open();
        // Create an adapter
        cmd = new SqlCommand("select LastName, sum(UnitPrice * Quantity) Total from Employees e, Orders o, [Order Details] d WHERE e.EmployeeID = o.EmployeeID AND o.OrderID = d.OrderID GROUP BY LastName ORDER BY Total DESC", cn);
        dr = cmd.ExecuteReader();
    
        // Start building the output table
        sb = new StringBuilder("<table><tr><th>LastName</th><th>Sales</th></tr>");
                                                                        
        while(dr.Read())
        {
            sb.Append("<tr><td>");
            sb.Append(dr["LastName"].ToString());
            sb.Append("</td><td>");
            sb.Append(dr["Total"].ToString());
            sb.Append("</td></tr>");
        }
                                                                
        sb.Append("</table>");
                                                
        SalesPeople.InnerHtml = sb.ToString();
                                                        
        dr.Close();
        cn.Close();
                                                
    }
</script>

<html>
    <head>
        <title>Sales By Employee</title>
    </head>
    <body text="#000000" bgcolor="#ffffff">
        <h1>Sales By Employee</h1>
        <table
             width="75%"
             border="0">
            <tbody>
                <tr>
                    <td>
                        <span id="SalesPeople" runat="server"></span>
                    </td>
                    <td valign="top">
                        <aspbook:SalesPhoneList id="UserControl1" runat="server">
                        </aspbook:SalesPhoneList>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>

