Imports System.Web.Services

Public Class Orders
    Inherits System.Web.Services.WebService

    Public Sub New()
        MyBase.New()
    End Sub

    <WebMethod()> Public Function GetOrders(ByVal OrderDate As DateTime) As DataSet
        ' Setup the connection
        Dim cn As New SqlClient.SqlConnection(Application("DSN"))

        ' Open the connection
        cn.Open()

        ' Create the orders data adapter
        Dim daOrders As New SqlClient.SqlDataAdapter("SELECT * FROM ORDERS WHERE OrderDate = '" + OrderDate.ToShortDateString() + "'", cn)

        ' Create the order item data adapter
        Dim daOrderDetails As New SqlClient.SqlDataAdapter("SELECT * FROM [Order Details] od, Orders o WHERE o.OrderID = od.OrderID AND o.OrderDate = '" + OrderDate.ToShortDateString() + "'", cn)

        ' Create a data set
        Dim ds As New DataSet()

        ' Get the orders
        daOrders.Fill(ds, "Orders")
        ' Get the order details
        daOrderDetails.Fill(ds, "OrderDetails")

        ' Relate the two on the order id
        ds.Relations.Add("OrderID", ds.Tables("Orders").Columns("OrderID"), ds.Tables("OrderDetails").Columns("OrderID"))

        ' Return the dataset
        Return ds
    End Function


    <WebMethod()> Public Function GetAllOrders() As DataSet
        ' Setup the connection
        Dim cn As New SqlClient.SqlConnection(Application("DSN"))

        ' Open the connection
        cn.Open()

        ' Create the orders data adapter
        Dim daOrders As New SqlClient.SqlDataAdapter("SELECT * FROM ORDERS", cn)

        ' Create the order item data adapter
        Dim daOrderDetails As New SqlClient.SqlDataAdapter("SELECT * FROM [Order Details]", cn)

        ' Create a data set
        Dim ds As New DataSet()

        ' Get the orders
        daOrders.Fill(ds, "Orders")
        ' Get the order details
        daOrderDetails.Fill(ds, "OrderDetails")

        ' Relate the two on the order id
        ds.Relations.Add("OrderID", ds.Tables("Orders").Columns("OrderID"), ds.Tables("OrderDetails").Columns("OrderID"))

        ' Return the dataset
        Return ds
    End Function
End Class
